Bug 1011381 - MCIG: LVQ deprecated arguments
MCIG: LVQ deprecated arguments
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity medium
: 3.0
: ---
Assigned To: Jared MORGAN
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 03:45 EDT by Leonid Zhaldybin
Modified: 2015-08-09 21:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1011384 (view as bug list)
Environment:
Last Closed: 2015-01-22 10:27:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Zhaldybin 2013-09-24 03:45:57 EDT
Description of problem:

MCIG contains the description of two arguments for last value queues: "qpid.last_value_queue (bool)" and "qpid.last_value_queue_no_browse (bool)" in appendix A
https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_MRG/2/html-single/Messaging_Installation_and_Configuration_Guide/index.html#appe-Exchange_and_Queue_Declaration_Arguments

These two options are deprecated, see for example http://qpid.apache.org/releases/qpid-0.18/books/AMQP-Messaging-Broker-CPP-Book/html/ch01s06.html chapter "1.6.4. Deprecated LVQ Modes". Also, the qpidd broker logs the following warning message if "qpid.last_value_queue_no_browse" argument is used while creating a queue: "[Broker] warning Ignoring 'no-browse' directive for LVQ; it is no longer necessary".

I think the description of the deprecated arguments should be removed from the documentation.
Comment 2 Leonid Zhaldybin 2013-10-03 07:52:57 EDT
The deprecated LVQ options description has been removed from Messaging Installation and Configuration Guide.

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.